function ScriptLoader() {
	var fnCallbacks = {};
	function attach (callback, index) {
		if (!fnCallbacks[index])
			fnCallbacks[index] = [];
		fnCallbacks[index].push(callback);
	}
	function fire () {
		for(var i in fnCallbacks) {
			for(var j = fnCallbacks[i].length - 1; j >= 0; j--) {
				fnCallbacks[i][j]();
				delete fnCallbacks[i][j];
				fnCallbacks[i].splice(j, 1);
			}
		}
		delete fnCallbacks[i];
	}
	this['attach'] = attach;
	this['fire'] = fire;
}
scriptLoader = new ScriptLoader();