scriptLoader.attach(function(){

(function() {
	if (window.top != window.self)
		return;
		
	//window.addEventListener('DOMContentLoaded', function() {
	
	(function( $$ ){
		var settings = {
			'height': 18,
			'background': '#eee',
			'html': '',
			'color': "#333",
			'textAlign': "left",
			'fontSize': "12px",
			'fontFamily': "Arial, 'Helvetica Neue', Helvetica, sans-serif"
		};
		//  '-webkit-gradient(linear, left top, left bottom, from(#e0ddd5), to(#eeeeee))'
		var tb = null;
		var methods = {
			reload: function(){
			},
			show : function( options ) {
				var self = this;
				return this.each(function() {
					if ( options ){ 
						$$.extend( settings, options );
					}
					$$("body")
						.css({
							"position": "relative",
							"top": "0px",
							"margin-top": settings.height + "px"
						})
						.addClass("rubar-body");
					tb = $$(this)
						.css({
							"margin-top":"0px",
							//"-webkit-user-select": "none",
							"position"		: "fixed",
							"z-index"		: "65000",
							"text-align"	: settings.textAlign,
							"padding"		: "0px",
							"border-width"	: "0 0 0 1px",
							"border-style"	: "solid",
							"border-color"	: "#b6bac0",
							"height"		: settings.height + "px",
							"top"			: "0px",
							"left"			: "0px",
							"right"			: "0px",
							"font-size"		: "12px",
							"line-height"	: "1.44em",
							"background-image": "-o-linear-gradient(rgb(235,238,248),rgb(220,225,238))",
							"word-wrap"		: "none",
							"overflow"		: "hidden",
							"box-shadow"	: "0px 2px 3px #555",
							"width"			: "100%",
							"overfow"		: "hidden"
						})
						.addClass("rubar-toolbar");
				});
			},
			hide : function( ) {
				var self = tb;
				$$("body")
					.css({
						"position": "static",
						"margin-top": "0px",
						"top": "0px"
					})
					.removeClass("rubar-body");
				self.remove();
			}
		};
		$$.fn.toolbar = function( method ) {
			if ( methods[method] ) {
				return methods[ method ].apply( this, Array.prototype.slice.call( arguments, 1 ));
			}
			else if ( typeof method === 'object' || typeof method === 'string' || ! method ) {
				return methods.show.apply( this, arguments );
			}
		};  
	})( jQ );
	
	(function($)  {
	   $.fn.extend({
		  setChecked : function(state)  {
			if (state)
				return this.filter(":radio, :checkbox").attr("checked", true);
			else 
				return this.filter(":radio, :checkbox").removeAttr("checked");
		  },
		  setVisibility : function(state)  {
			if (state)
				return this.show();
			else 
				return this.hide();
		  }
	   });
	}(jQ));
	
	//}, false);
})();

}, 2);