scriptLoader.attach(function(){

(function() {
	if (window.top != window.self)
		return;
		
	(function( $$ ){
		var settings = {
			x : 0,
			y : 0
		};
		var methods = {
			reload: function() {
			},
			show : function( options ) {
				var self = this;
				return self.each(function(){
					$$.extend( settings, options );
					var popup = $$(this);
					popup.css({
							"position": "fixed",
							//"top": 25 + parseInt(settings.y) + "px",
							"left": parseInt(settings.x) + "px",
							"width": settings.width + "px",
							"height": settings.height + "px",
							"top": "30px",
							//"left": "8px",
							"z-index":"1000000002",
							"border-radius":"2px",
							"border": "1px solid gray",
							"box-shadow": "0px 2px 3px #555"						
						})
						.attr("src", settings.url)
						.appendTo(document.documentElement);
						
						function triggerCloseEvent(event) {
							if (popup.is(":visible") ) {
									self.hide();
							}
						}
						$$(window).resize(triggerCloseEvent);
						$$(window).scroll(triggerCloseEvent);
						$$(document.body).click(triggerCloseEvent);
				
				});
			},
			hide : function( ) {
				return this.each(function() {
					$$(this).remove();
				});
			}
		};

		$$.fn.popup = function( method ) {
			if ( methods[method] ) {
				return methods[ method ].apply( this, Array.prototype.slice.call( arguments, 1 ));
			}
			else if ( typeof method === 'object' || typeof method === 'string' || ! method ) {
				return methods.show.apply( this, arguments );
			} 
		}; 
	})( jQ );
})();

}, 2);